#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
const int MAXN = 202000;
int a[MAXN];

int main()
{
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    int n;
    cin >> n;
    for(int i = 1; i<=n; i++)
        cin >> a[i];

    ll ans = 0;

    for(int i = 1; i<=n; i++)
    {
        if(a[i]>a[i-1])
            ans+=(ll)(a[i]-a[i-1]);
    }
    cout << ans << '\n';
    return 0;




}
